function sliceiso3D(distribute)
  if nargin==0, distribute=true;end
  close all % :start:
  u=@(x,y,z) 2*cos(x).*sin(y+z);
  [q3,me3,toGlobal3]=fc_meshtools.simplicial.getMeshArrays('3D',3);
  U3=fc_meshtools.eval(u,q3);
  [q1,me1,toGlobal1]=fc_meshtools.simplicial.getMeshArrays('3D',1);
  
  figure(1)
  P=fc_tools.graphics.PlaneCoefs([0 0 1],[1 -1 1]);
  fc_graphics4mesh.slicemesh(q3,me3,P)
  hold on
  fc_graphics4mesh.plotmesh(q1,me1,'color','k')
  fc_graphics4mesh.sliceiso(q3,me3,U3,P)
  axis equal;axis image
  view(-11,15)

  figure(2)
  P=fc_tools.graphics.PlaneCoefs([0 0 1],[1 -1 1]);
  fc_graphics4mesh.slicemesh(q3,me3,P)
  hold on
  fc_graphics4mesh.plotmesh(q1,me1,'color','k')
  fc_graphics4mesh.sliceiso(q3,me3,U3,P,'Linewidth',2, 'isocolorbar',true,'LineWidth',2,'format','%.3f');
  P=fc_tools.graphics.PlaneCoefs([0 0 1],[1 -1 0]);
  fc_graphics4mesh.slice(q3,me3,U3,P)
  fc_graphics4mesh.sliceiso(q3,me3,U3,P,'color','w','Linewidth',2);
  axis equal;axis image
  colorbar('Location','westoutside')
  caxis([min(U3),max(U3)])
  view(-11,15)
  
  figure(3)
  P=[fc_tools.graphics.PlaneCoefs([0 0 1],[1 0 0]); ...
     fc_tools.graphics.PlaneCoefs([0 0 1],[0 1 0]); ...
     fc_tools.graphics.PlaneCoefs([0 0 1],[0 0 1])];
  fc_graphics4mesh.slicemesh(q3,me3,P)
  hold on
  fc_graphics4mesh.plotmesh(q1,me1,'color','k')
  fc_graphics4mesh.sliceiso(q3,me3,U3,P,'isocolorbar',true,'LineWidth',2, 'format','%.3f');
  axis equal;axis image
  
  figure(4)
  P=[fc_tools.graphics.PlaneCoefs([0 0 1],[0 1 0]); ...
     fc_tools.graphics.PlaneCoefs([0 0 1],[0 -1 1])];
  fc_graphics4mesh.slice(q3,me3,U3,P)
  hold on
  fc_graphics4mesh.plotmesh(q1,me1,'color','k')
  fc_graphics4mesh.sliceiso(q3,me3,U3,P,'Color','w','LineWidth',2);
  caxis([min(U3),max(U3)])
  axis equal;axis image
  colorbar  % :end:
  if distribute,fc_tools.graphics.monitors.autoGrid();end
end
