function varargout=slice(q,me,u,P,varargin)
  % plot function u on plan defined by p(1)*x+p(2)*y+p(3)*z+p(4)=0
  [dim,d,nq,nme]=fc_meshtools.simplicial.get_dims(q,me);
  assert(d==3 && dim==3)
  U=fc_meshtools.eval(u,q);
  assert(size(U,1)==nq && size(U,2)==1)
  nP=size(P,1);
  for i=1:nP
    [V,G,J,BC] = fc_tools.graphics.gptoolbox.slice_tets2(q',me',P(i,:));
    %if fc_tools.comp.isOctave()
    if ~isempty(V)
      h{i}=patch('Vertices',V,'Faces',G,'facevertexcdata',BC*U,'Facecolor','interp','EdgeColor','none',varargin{:});
    else
      h{i}=[];
    end
  end
  if nP==1, h=h{i};end
  fc_tools.graphics.view3D()
  %else
    %patch('Vertices',V,'Faces',G,'facevertexcdata',BC*U,'Facecolor','interp','EdgeColor','none',varargin{:});
  %end
  if nargout==1, varargout{1}=h;end
end
